API ReferenceA2 A
Update agent trust level
Update agent trust level - Rensei REST API operation reference.
PATCH
cookieAuthcookie
wos-session<token>WorkOS AuthKit browser session cookie.
id*stringapplication/json- body
trustLevel*stringValue in
"internal""partner""external"Agent updated.
application/json- response
agent*A registered remote A2A agent for the org.
curl -X PATCH 'https://app.rensei.ai/api/a2a/agents/string' \ -H 'Content-Type: application/json' \ -d '{ "trustLevel": "internal"}'Example Response
{ "agent": { "id": "string", "orgId": "string", "url": "http://example.com", "trustLevel": "internal", "card": { "name": "string", "version": "string", "description": "string", "supportedInterfaces": [ { "url": "http://example.com", "protocolBinding": "JSONRPC", "protocolVersion": "1.0" } ], "provider": { "organization": "string", "url": "http://example.com" }, "capabilities": { "streaming": true, "pushNotifications": true }, "securitySchemes": {}, "securityRequirements": [ {} ], "defaultInputModes": [ "string" ], "defaultOutputModes": [ "string" ], "skills": [ {} ] }, "lastFetchedAt": "2019-08-24T14:15:22Z", "reachable": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }}